typedef struct
    {
     coord X;
     coord Y;
     char * id;
     boolean active;
     int code;
    } logic_signal;


#define logic_OVF 1
#define logic_BNEA 2
#define logic_BEQA 3
#define logic_BLTA 4
#define logic_BGTA 5

extern void set_compare(short state);
extern void show_compare(void);
extern void show_ovf(boolean overflow);
extern void show_logic_output(unsigned char ch);
extern void draw_logic_box(void);
extern char * logic_state(short ls);

